#include <bits/stdc++.h>
using namespace std;
int main(){
ios_base::sync_with_stdio(false);
cin.tie(0);
cout.tie(0);
int n,m;
cin >>n>>m;
vector <long long> a(n);
for(int i=0;i<n;i++)cin >>a[i];
long long rez=0;
for(int i=0;i<m;i++){
    int x,y;
    cin >>x>>y;
    x--;
    y--;
    rez+=max((a[x]+a[y]),-(a[x]+a[y]));
}
cout <<rez<<endl;
}